* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  touch-action: manipulation;
}

body {
  width: 100%;
  font-family: 'Helvetica Neue', Arial, 'Hiragino Kaku Gothic ProN', 'Hiragino Sans', Meiryo, sans-serif;
}

.wrap {
  width: 100%;
  overflow: auto;
  font-size: 16px;
  text-align: center;
  background-color: #fffffe;
}

.wrap .container {
  position: relative;
  width: 96%;
  max-width: 640px;
  height: 600px;
  overflow: auto;
  margin: 20px auto 40px;
  padding: 10px;
  background-color: #fff;
  border: 1px solid #ccc;
  box-shadow: 1px 1px 2px #999;
}
.wrap .container p {
  margin: 0;
  padding: 0;
}
.wrap .container button {
  display: block;
  width: 90%;
  max-width: 360px;
  min-height: 46px;
  font-size: 1.1em;
  color: #fff;
  background-color: #1a237e;
  border: 1px solid #1a237e;
  border-radius: 5px;
  margin: 0 auto;
  padding: 6px 12px;
  cursor: pointer;
  transition: all 0.2s;
}
.wrap .container button:hover,
.wrap .container button:focus {
  color: #fff;
  background-color: #283593;
  border-color: #283593;
}
.wrap .container button:active {
  color: #fff;
  background-color: #0d1656;
  border-color: #0d1656;
}
.wrap .container button:disabled {
  opacity: 0.65;
  pointer-events: none;
}
.wrap .container .startArea {
  position: relative;
  width: 100%;
  height: 100%;
  padding: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  opacity: 0;
  transform: scale(0);
  transform-origin: bottom;
  transition:
    opacity 0.3s,
    transform 0.3s;
}
.wrap .container .startArea.show {
  opacity: 1;
  transform: scale(1);
}
.wrap .container .startArea.hide {
  display: none;
}
.wrap .container .startArea p {
  font-size: 1.4em;
  line-height: 1.8;
  margin: 20px 0;
}
.wrap .container .startArea .modeBtns {
  width: 100%;
}
.wrap .container .startArea .modeBtns button {
  margin-bottom: 16px;
  background-color: #fffffe;
  color: #282928;
}
.wrap .container .startArea .modeBtns button:hover,
.wrap .container .startArea .modeBtns button:focus {
  background-color: #283593;
  border-color: #283593;
  color: #fff;
}
.wrap .container .startArea .modeBtns button:active {
  background-color: #0d1656;
  border-color: #0d1656;
  color: #fff;
}
.wrap .container .quizWrap {
  width: 100%;
  overflow: auto;
  opacity: 0;
  transform: scale(0);
  transform-origin: bottom;
  transition:
    opacity 0.3s,
    transform 0.3s;
}
.wrap .container .quizWrap.show {
  opacity: 1;
  transform: scale(1);
}
.wrap .container .quizWrap.hide {
  display: none;
}
.wrap .container .quizWrap .quizTitle {
  width: 100%;
  font-size: 1.1em;
  margin-bottom: 10px;
  padding: 6px 12px;
  color: #fff;
  background: #1a237e;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.wrap .container .quizWrap .quizTitle .nowQuestion.show {
  opacity: 1;
  transform: scale(1);
}
.wrap .container .quizWrap .quizTitle .nowQuestion.hide {
  display: none;
}
.wrap .container .quizWrap .quizArea {
  width: 100%;
  opacity: 0;
  transform: scale(0);
  transform-origin: bottom;
  transition:
    opacity 0.3s,
    transform 0.3s;
}
.wrap .container .quizWrap .quizArea.show {
  opacity: 1;
  transform: scale(1);
}
.wrap .container .quizWrap .quizArea.hide {
  display: none;
}
.wrap .container .quizWrap .quizArea .questionArea {
  margin-bottom: 20px;
  padding: 20px;
  font-size: 1em;
  border: 3px solid #1a237e;
}
.wrap .container .quizWrap .quizArea .questionArea .threeHints {
  text-align: left;
  padding-left: 20px;
}
.wrap .container .quizWrap .quizArea .questionArea .threeHints li {
  font-size: 1.1em;
  margin-bottom: 10px;
}
.wrap .container .quizWrap .quizArea .questionArea .threeHints li:last-child {
  margin-bottom: 0;
}
.wrap .container .quizWrap .quizArea .choiceList {
  width: 100%;
  opacity: 0;
  transform: scale(0);
  transform-origin: bottom;
  transition:
    opacity 0.3s,
    transform 0.3s;
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
}
.wrap .container .quizWrap .quizArea .choiceList.show {
  opacity: 1;
  transform: scale(1);
}
.wrap .container .quizWrap .quizArea .choiceList.hide {
  display: none;
}
.wrap .container .quizWrap .quizArea .choiceList button {
  flex: 80%;
  width: 100%;
  max-width: 400px;
  min-height: 46px;
  padding: 6px;
  font-size: 1.1em;
  color: #282928;
  background-color: #fffffe;
}
.wrap .container .quizWrap .quizArea .choiceList button:hover,
.wrap .container .quizWrap .quizArea .choiceList button:focus {
  color: #fff;
  background-color: #283593;
}
.wrap .container .quizWrap .quizArea .choiceList button:active {
  color: #fff;
  background-color: #0d1656;
}
.wrap .container .quizWrap .slide {
  width: 100%;
  max-width: 400px;
  margin: 0 auto;
  border: 1px solid #ccc;
  box-shadow: 1px 1px 2px #999;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transform: scale(0);
  transform-origin: bottom;
  transition:
    opacity 0.3s,
    transform 0.3s;
}
.wrap .container .quizWrap .slide.judgeArea {
  min-height: 220px;
}
.wrap .container .quizWrap .slide.judgeArea.show {
  opacity: 1;
  transform: scale(1);
}
.wrap .container .quizWrap .slide.judgeArea.hide {
  display: none;
}
.wrap .container .quizWrap .slide.judgeArea .judgeText {
  font-size: 1.2em;
  margin-bottom: 24px;
  padding: 4px 12px;
}
.wrap .container .quizWrap .slide.judgeArea .judgeText.correct {
  background-color: #861448;
  color: #fff;
}
.wrap .container .quizWrap .slide.judgeArea .judgeText.incorrect {
  background-color: #f9e4ee;
  color: #333;
}
.wrap .container .quizWrap .slide.judgeArea .correctText {
  font-size: 1.2em;
  margin-bottom: 24px;
}
.wrap .container .quizWrap .slide.resultArea {
  min-height: 200px;
  margin-top: 40px;
  opacity: 0;
  transform: scale(0);
  transform-origin: bottom;
  transition:
    opacity 0.3s,
    transform 0.3s;
}
.wrap .container .quizWrap .slide.resultArea.show {
  opacity: 1;
  transform: scale(1);
}
.wrap .container .quizWrap .slide.resultArea.hide {
  display: none;
}
.wrap .container .quizWrap .slide.resultArea .resultMsg {
  margin-bottom: 30px;
  font-size: 1.6em;
}
.wrap .container .closeBtn {
  position: absolute;
  bottom: 10px;
  right: 10px;
  opacity: 0;
  transition: opacity 0.3s;
}
.wrap .container .closeBtn.show {
  opacity: 1;
}
.wrap .container .closeBtn.hide {
  display: none;
}
.wrap .container .closeBtn button {
  display: block;
  width: 100px;
  max-width: 100%;
  min-height: 46px;
  background: #333132;
  border: none;
  color: #fff;
  margin: 0 auto;
  padding: 6px;
  font-size: 1em;
  cursor: pointer;
  transition: all 0.2s;
}
.wrap .container .closeBtn button:hover,
.wrap .container .closeBtn button:focus {
  background-color: #444;
}
.wrap .container .closeBtn button:active {
  background-color: #323934;
}
